{
  "codeName" : "Usr0301355514",
  "controlType" : "CHART",
  "coordinateSystem" : "XY",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo/PSCHARTS/Usr0301355514.json",
  "emptyText" : "无数据empty",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch",
    "actionType" : "DEDATASET",
    "name" : "fetch",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
    }
  },
  "height" : 300.0,
  "logicName" : "Chart3",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
  },
  "getPSChartCoordinateSystems" : [ {
    "eChartsType" : "cartesian2d",
    "index" : 0,
    "name" : "[line_2]直角坐标系[0]",
    "getPSChartGrid" : {
      "index" : 0,
      "name" : "[line_2]直角坐标系[0]",
      "getPSChartCoordinateSystem" : {
        "modelref" : true,
        "id" : "0"
      },
      "getPSChartGridXAxis0" : {
        "modelref" : true,
        "id" : "0"
      },
      "getPSChartGridYAxis0" : {
        "modelref" : true,
        "id" : "0"
      },
      "type" : "grid",
      "id" : "0"
    },
    "type" : "XY",
    "id" : "0"
  } ],
  "getPSChartDataSetGroups" : [ {
    "index" : 0,
    "name" : "DEFAULT",
    "getPSAppDEDataSet" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
    },
    "id" : "0"
  } ],
  "getPSChartDataSets" : [ {
    "index" : 0,
    "name" : "line_2-DEFAULT",
    "getPSChartDataSetFields" : [ {
      "groupMode" : "CODELIST",
      "index" : 0,
      "name" : "NAME",
      "getPSCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/common__UsrCodeList0129740128.json"
      },
      "groupField" : true,
      "id" : "0"
    }, {
      "index" : 1,
      "name" : "AGE",
      "groupField" : false,
      "id" : "1"
    } ],
    "id" : "0"
  }, {
    "index" : 1,
    "name" : "bar_1-DEFAULT",
    "getPSChartDataSetFields" : [ {
      "groupMode" : "CODELIST",
      "index" : 0,
      "name" : "NAME",
      "getPSCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/common__UsrCodeList0129740128.json"
      },
      "groupField" : true,
      "id" : "0"
    }, {
      "index" : 1,
      "name" : "ORGID",
      "groupField" : true,
      "id" : "1"
    }, {
      "index" : 2,
      "name" : "SCORES",
      "groupField" : false,
      "id" : "2"
    } ],
    "id" : "1"
  }, {
    "index" : 2,
    "name" : "bar_0-DEFAULT",
    "getPSChartDataSetFields" : [ {
      "groupMode" : "CODELIST",
      "index" : 0,
      "name" : "NAME",
      "getPSCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/common__UsrCodeList0129740128.json"
      },
      "groupField" : true,
      "id" : "0"
    }, {
      "index" : 1,
      "name" : "AGE",
      "groupField" : false,
      "id" : "1"
    } ],
    "id" : "2"
  } ],
  "getPSChartGrids" : [ {
    "index" : 0,
    "name" : "[line_2]直角坐标系[0]",
    "getPSChartCoordinateSystem" : {
      "modelref" : true,
      "id" : "0"
    },
    "getPSChartGridXAxis0" : {
      "modelref" : true,
      "id" : "0"
    },
    "getPSChartGridYAxis0" : {
      "modelref" : true,
      "id" : "0"
    },
    "type" : "grid",
    "id" : "0"
  } ],
  "getPSChartXAxises" : [ {
    "eChartsPos" : "xAxis",
    "eChartsType" : "category",
    "index" : 0,
    "name" : "axis_xAxis_0",
    "position" : "bottom",
    "type" : "category",
    "getUserParam" : {
      "EC.axisTick" : "{\"show\":0}",
      "ECX.axisLine" : "{\"lineStyle\":{\"color\":\"rgba(0,0,0,0.15)\"}}",
      "EC.axisLine" : "{\"lineStyle\":{\"color\":\"rgba(0,0,0,0.15)\"}}"
    },
    "id" : "0"
  } ],
  "getPSChartYAxises" : [ {
    "eChartsPos" : "yAxis",
    "eChartsType" : "value",
    "index" : 0,
    "name" : "axis_yAxis_0",
    "position" : "left",
    "type" : "numeric",
    "id" : "0"
  } ],
  "getPSControlRenders" : [ {
    "layoutPanelModel" : "return `<div class='test_test_test'><svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" width=\"1em\" preserveAspectRatio=\"xMidYMid meet\" focusable=\"false\" fill=\"currentColor\"><g id=\"aodeditor/link-insert\" stroke-width=\"1\" fill-rule=\"evenodd\"><path d=\"M12.253 4.13h-1.2v-1a2.8 2.8 0 0 0-5.6 0v4a2.8 2.8 0 0 0 2.8 2.8v1.2a4 4 0 0 1-4-4v-4a4 4 0 0 1 8 0v1zm-8 8h1.2v1a2.8 2.8 0 0 0 5.6 0v-4a2.8 2.8 0 0 0-2.8-2.8v-1.2a4 4 0 0 1 4 4v4a4 4 0 0 1-8 0v-1z\" id=\"aod形状结合\" transform=\"rotate(46 8.253 8.13)\"></path></g></svg><span>测试无数据</span></div>`",
    "name" : "emptypanel",
    "renderType" : "LAYOUTPANEL_MODEL"
  } ],
  "getPSDEChartDataGrid" : {
    "index" : 0,
    "id" : "0"
  },
  "getPSDEChartLegend" : {
    "index" : 0,
    "showLegend" : true,
    "id" : "0"
  },
  "getPSDEChartSerieses" : [ {
    "caption" : "折线",
    "catalogField" : "NAME",
    "getCatalogPSCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/common__UsrCodeList0129740128.json"
    },
    "eChartsType" : "line",
    "groupMode" : "CODELIST",
    "index" : 0,
    "name" : "line_2",
    "getNavPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ReginfoUsr0423209603EditView.json",
      "viewType" : "DEEDITVIEW"
    },
    "navViewParamJO" : {
      "testval" : "%age%"
    },
    "getPSChartCoordinateSystem" : {
      "modelref" : true,
      "id" : "0"
    },
    "getPSChartDataSet" : {
      "modelref" : true,
      "id" : "0"
    },
    "getPSChartSeriesEncode" : {
      "index" : 0,
      "name" : "坐标系编码",
      "getPSChartXAxis" : {
        "modelref" : true,
        "id" : "0"
      },
      "getPSChartYAxis" : {
        "modelref" : true,
        "id" : "0"
      },
      "type" : "XY",
      "x" : [ "NAME" ],
      "y" : [ "AGE" ],
      "id" : "0"
    },
    "getPSNavigateParams" : [ {
      "key" : "testval",
      "name" : "testval",
      "value" : "age",
      "rawValue" : false
    } ],
    "seriesLayoutBy" : "column",
    "seriesType" : "line",
    "valueField" : "AGE",
    "enableChartDataSet" : true,
    "stack" : false
  }, {
    "caption" : "分数",
    "catalogField" : "NAME",
    "getCatalogPSCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/common__UsrCodeList0129740128.json"
    },
    "eChartsType" : "bar",
    "groupMode" : "CODELIST",
    "index" : 1,
    "name" : "bar_1",
    "navFilter" : "DEPTID",
    "getNavPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ReginfoGridView.json",
      "viewType" : "DEGRIDVIEW"
    },
    "getNavPSDER" : {
      "codeName" : "Reginfo",
      "dERType" : "DER1N",
      "dynaModelFilePath" : "PSMODULES/common/PSDATAENTITIES/Reginfo/PSDERS/DER1N_REGINFO_REGINFO_PREGINFOID.json",
      "fKeyName" : "FA09ABFCBC1BF360AA",
      "logicName" : "名称",
      "getMajorPSDataEntity" : {
        "modelref" : true,
        "path" : "PSMODULES/common/PSDATAENTITIES/Reginfo.json"
      },
      "masterOrder" : -1,
      "masterRS" : 0,
      "minorCodeName" : "Reginfos",
      "getMinorPSDataEntity" : {
        "modelref" : true,
        "path" : "PSMODULES/common/PSDATAENTITIES/Reginfo.json"
      },
      "minorServiceCodeName" : "Reginfos",
      "name" : "DER1N_REGINFO_REGINFO_PREGINFOID",
      "orderValue" : 100,
      "getPSPickupDEField" : {
        "name" : "PREGINFOID",
        "codeName" : "Preginfoid"
      },
      "pickupDEFName" : "PREGINFOID",
      "removeActionType" : -1,
      "removeOrder" : 0,
      "serviceCodeName" : "Reginfo",
      "enableFKey" : true
    },
    "getPSChartCoordinateSystem" : {
      "modelref" : true,
      "id" : "0"
    },
    "getPSChartDataSet" : {
      "modelref" : true,
      "id" : "1"
    },
    "getPSChartSeriesEncode" : {
      "index" : 0,
      "itemId" : "ORGID",
      "itemName" : "ORGID",
      "name" : "坐标系编码",
      "getPSChartXAxis" : {
        "modelref" : true,
        "id" : "0"
      },
      "getPSChartYAxis" : {
        "modelref" : true,
        "id" : "0"
      },
      "type" : "XY",
      "x" : [ "NAME" ],
      "y" : [ "SCORES" ],
      "id" : "0"
    },
    "getPSNavigateContexts" : [ {
      "key" : "TEST",
      "name" : "TEST",
      "value" : "srforgname",
      "rawValue" : false
    } ],
    "getPSNavigateParams" : [ {
      "key" : "name",
      "name" : "name",
      "value" : "name",
      "rawValue" : false
    } ],
    "seriesField" : "ORGID",
    "seriesLayoutBy" : "column",
    "seriesType" : "bar",
    "valueField" : "SCORES",
    "enableChartDataSet" : true,
    "stack" : false,
    "getUserParam" : {
      "EC.label" : "{\"position\":\"center\"}"
    }
  }, {
    "caption" : "年龄",
    "catalogField" : "NAME",
    "getCatalogPSCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/common__UsrCodeList0129740128.json"
    },
    "eChartsType" : "bar",
    "groupMode" : "CODELIST",
    "index" : 2,
    "name" : "bar_0",
    "getNavPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ReginfoUsr0423209603EditView.json",
      "viewType" : "DEEDITVIEW"
    },
    "navViewParamJO" : {
      "testval" : "%age%"
    },
    "getPSChartCoordinateSystem" : {
      "modelref" : true,
      "id" : "0"
    },
    "getPSChartDataSet" : {
      "modelref" : true,
      "id" : "2"
    },
    "getPSChartSeriesEncode" : {
      "index" : 0,
      "name" : "坐标系编码",
      "getPSChartXAxis" : {
        "modelref" : true,
        "id" : "0"
      },
      "getPSChartYAxis" : {
        "modelref" : true,
        "id" : "0"
      },
      "type" : "XY",
      "x" : [ "NAME" ],
      "y" : [ "AGE" ],
      "id" : "0"
    },
    "getPSNavigateParams" : [ {
      "key" : "testval",
      "name" : "testval",
      "value" : "age",
      "rawValue" : false
    } ],
    "seriesLayoutBy" : "column",
    "seriesType" : "bar",
    "valueField" : "AGE",
    "enableChartDataSet" : true,
    "stack" : false,
    "getUserParam" : {
      "EC.label" : "{\"position\":\"inside\"}"
    }
  } ],
  "getPSDEChartTitle" : {
    "index" : 0,
    "title" : "柱状图",
    "showTitle" : false,
    "id" : "0"
  },
  "readOnly" : true,
  "modelid" : "A1BCD468-3027-4DAF-A36E-F8900BF586DA",
  "modeltype" : "PSDECHART",
  "getUserParam" : {
    "ECX.legend" : "{\"textStyle\":{\"color\":\"#999999\"}}",
    "tdType" : "3dbar",
    "EC.textStyle" : "{\"color\":\"#666666\",\"fontSize\":12}",
    "EC.legend" : "{\"textStyle\":{\"color\":\"#999999\"}}",
    "EC.color" : "[\"#73A0FA\",\"#FFB200\",\"#6DDA2F\",\"#ee6666\",\"#73c0de\",\"#3ba272\",\"#fc8452\",\"#9a60b4\",\"#ea7ccc\",\"#73A0FA\",\"#FFB200\"]"
  }
}